Bug 331621

Summary: QEMU ACPI change should be reported or reverted (WinXP KVM failure)
Product: [Fedora] Fedora Reporter: Andrew Bartlett <abartlet>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: berrange, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-08 23:57:15 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Andrew Bartlett 2007-10-14 21:46:49 EDT
Description of problem:
WinXP fails to boot, failing with unhandled vm exit:  0x9

Version-Release number of selected component (if applicable):

[abartlet@localhost WinXP_2]$ uname -a
Linux localhost.localdomain 2.6.23-6.fc8 #1 SMP Thu Oct 11 13:36:39 EDT 2007
x86_64 x86_64 x86_64 GNU/Linux
[abartlet@localhost WinXP_2]$ rpm -q kvm
kvm-36-6.fc8

How reproducible:

Every time

Steps to Reproduce:
1.  Using a WinXP installed image
2.  sudo qemu-kvm -hda disk.img 
3.  Select 'continue booting' on XP's safe mode selection (due to previous failures)
  
Actual results:
unhandled vm exit:  0x9
rax 000000000005ff80 rbx 000000000005ff7c rcx 000000008054b658 rdx 000000000000984f
rsi 0000000080675df4 rdi 00000000fffe0080 rsp 000000000005fef4 rbp 000000000005fef4
r8  0000000000000000 r9  0000000000000000 r10 0000000000000000 r11 0000000000000000
r12 0000000000000000 r13 0000000000000000 r14 0000000000000000 r15 0000000000000000
rip 000000008053f6cc rflags 00000246
cs 0008 (00000000/ffffffff p 1 dpl 0 db 1 s 1 type b l 0 g 1 avl 0)
ds 0023 (00000000/ffffffff p 1 dpl 3 db 1 s 1 type 3 l 0 g 1 avl 0)
es 0023 (00000000/ffffffff p 1 dpl 3 db 1 s 1 type 3 l 0 g 1 avl 0)
ss 0010 (00000000/ffffffff p 1 dpl 0 db 1 s 1 type 3 l 0 g 1 avl 0)
fs 0030 (ffdff000/00001fff p 1 dpl 0 db 1 s 1 type 3 l 0 g 1 avl 0)
gs 0000 (00000000/0000ffff p 1 dpl 0 db 0 s 1 type 3 l 0 g 0 avl 0)
tr 0028 (80042000/000020ab p 1 dpl 0 db 0 s 0 type b l 0 g 0 avl 0)
ldt 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
gdt 8003f000/3ff
idt 8003f400/7ff
cr0 e0000011 cr2 fffe0080 cr3 ad7000 cr4 20 cr8 0 efer 0
[1]+  Done                    sudo qemu-kvm -no-kvm -hda disk.img
Aborted


Expected results:
WinXP booting as it did on Fedora 7

Additional info:
I tried KVM-46 binaries but the problem remains.
Comment 1 Andrew Bartlett 2007-10-14 21:49:34 EDT
Note that trying to boot under just qemu also fails, it just hangs. 

Adding -no-acpi does not make any difference
Comment 2 Andrew Bartlett 2007-10-24 01:11:06 EDT
I'm pretty sure this is the same issue as:

http://article.gmane.org/gmane.comp.emulators.kvm.devel/8484

In that post, the user changed between ACPI and not, but I think between Fedora
7 and Fedora 8 the same has happened - machines previously had ACPI enabled, but
now do not, so windows images don't boot.

If this is intentional (for performance), then it needs to be in release notes. 
Comment 3 Bug Zapper 2008-04-04 10:06:13 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-11-26 02:58:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-08 23:57:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.